summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Proschofsky <suka@gentoo.org>2009-10-04 11:39:35 +0000
committerAndreas Proschofsky <suka@gentoo.org>2009-10-04 11:39:35 +0000
commitdfd9e7f907f4bd623e77d9aa9b835154c352bc95 (patch)
treeab568250873ea4c8fd3f989cc0b165feb0a4600f /eclass/clutter.eclass
parentAlso apply configure patch to live ebuild (diff)
downloadsuka-dfd9e7f907f4bd623e77d9aa9b835154c352bc95.tar.gz
suka-dfd9e7f907f4bd623e77d9aa9b835154c352bc95.tar.bz2
suka-dfd9e7f907f4bd623e77d9aa9b835154c352bc95.zip
Sync gnome-shell stuff to the ebuilds from the gnome overlay
svn path=/; revision=162
Diffstat (limited to 'eclass/clutter.eclass')
-rw-r--r--eclass/clutter.eclass5
1 files changed, 4 insertions, 1 deletions
diff --git a/eclass/clutter.eclass b/eclass/clutter.eclass
index 79de44e..cab5503 100644
--- a/eclass/clutter.eclass
+++ b/eclass/clutter.eclass
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-#
+#
# clutter.eclass
#
# Sets SRC_URI, SLOT, and a few deps
@@ -25,6 +25,7 @@ DOCS="AUTHORS ChangeLog NEWS README TODO"
clutter_src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc ${DOCS} || die "dodoc failed"
# examples
if hasq examples ${IUSE} && use examples; then
@@ -40,3 +41,5 @@ clutter_src_install() {
done
fi
}
+
+EXPORT_FUNCTIONS src_install